Index: src/fdlist.c
===================================================================
--- src/fdlist.c	(.../1.0.1)	(revision 183)
+++ src/fdlist.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.c 436 2006-02-11 21:35:16Z michael $
+ *  $Id$
+ *  $Hybrid: fdlist.c 436 2006-02-11 21:35:16Z michael $
  */
 #include "stdinc.h"
 #include "fdlist.h"

Index: src/irc_res.c
===================================================================
--- src/irc_res.c	(.../1.0.1)	(revision 183)
+++ src/irc_res.c	(.../1.0.2)	(revision 183)
@@ -7,7 +7,8 @@
  * The authors takes no responsibility for any damage or loss
  * of property which results from the use of this software.
  *
- * $Id: irc_res.c 468 2006-02-17 02:42:23Z db $
+ * $Id$
+ * $Hybrid: irc_res.c 468 2006-02-17 02:42:23Z db $
  *
  * July 1999 - Rewrote a bunch of stuff here. Change hostent builder code,
  *     added callbacks and reference counting of returned hostents.

Index: src/irc_getnameinfo.c
===================================================================
--- src/irc_getnameinfo.c	(.../1.0.1)	(revision 183)
+++ src/irc_getnameinfo.c	(.../1.0.2)	(revision 183)
@@ -46,7 +46,8 @@
 #include "irc_getnameinfo.h"
 #include "irc_string.h"
 
-/*  $Id: irc_getnameinfo.c 33 2005-10-02 20:50:00Z knight $ */
+/*  $Id$ */
+/*  $Hybrid: irc_getnameinfo.c 33 2005-10-02 20:50:00Z knight $ */
 
 static const struct afd {
   int a_af;

Index: src/s_user.c
===================================================================
--- src/s_user.c	(.../1.0.1)	(revision 183)
+++ src/s_user.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_user.c 849 2007-02-19 19:41:59Z db $
+ *  $Id$
+ *  $Hybrid: s_user.c 849 2007-02-19 19:41:59Z db $
  */
 
 #include "stdinc.h"
@@ -111,7 +112,7 @@
   0,                  /* P */
   0,                  /* Q */
   UMODE_REGONLY,      /* R */
-  0,                  /* S */
+  UMODE_CAPTURED,     /* S (for silenced) */
   0,                  /* T */
   0,                  /* U */
   0,                  /* V */
@@ -136,7 +137,7 @@
   0,                  /* m */
   UMODE_NCHANGE,      /* n */
   UMODE_OPER,         /* o */
-  0,                  /* p */
+  UMODE_SNOOP,        /* p */
   0,                  /* q */
   UMODE_REGNICK,      /* r */
   UMODE_SERVNOTICE,   /* s */
@@ -316,6 +317,9 @@
   source_p->localClient->last = CurrentTime;
   /* Straight up the maximum rate of flooding... */
   source_p->localClient->allow_read = MAX_FLOOD_BURST;
+  
+  if (ConfigFileEntry.disable_auth)
+     SetGotId(source_p);
 
   if (!execute_callback(client_check_cb, source_p, username))
     return;
@@ -1014,11 +1018,16 @@
         case '\t':
           break;
 
+        case 'S':
+          if (!IsServer(client_p))
+            break;
+
         case 'r':
         case 'a':
           if (!IsServer(client_p) && !restricted)
             break;
 
+
         default:
           if ((flag = user_modes[(unsigned char)*m]))
           {
@@ -1060,6 +1069,14 @@
     source_p->umodes &= ~UMODE_ADMIN;
   }
 
+  if (MyConnect(source_p) && (source_p->umodes & UMODE_SNOOP) &&
+      !IsOperSnoop(source_p))
+  {
+    //sendto_one(source_p, ":%s NOTICE %s :*** You have no snoop flag;",
+    //           me.name, source_p->name);
+    source_p->umodes &= ~UMODE_SNOOP;
+  }
+
   if (!(setflags & UMODE_INVISIBLE) && IsInvisible(source_p))
     ++Count.invisi;
   if ((setflags & UMODE_INVISIBLE) && !IsInvisible(source_p))
@@ -1177,7 +1194,7 @@
 
 /* user_welcome()
  *
- * inputs	- client pointer to client to welcome
+ * inputs	- client pointer to client to welc/me
  * output	- NONE
  * side effects	-
  */
@@ -1318,6 +1335,8 @@
     source_p->umodes |= UMODE_ADMIN;
   if (!IsOperN(source_p))
     source_p->umodes &= ~UMODE_NCHANGE;
+  if (IsOperSnoop(source_p))
+    source_p->umodes |= UMODE_SNOOP;
 
   sendto_realops_flags(UMODE_ALL, L_ALL, "%s (%s@%s) is now an operator",
                        source_p->name, source_p->username, source_p->host);

Index: src/getopt.c
===================================================================
--- src/getopt.c	(.../1.0.1)	(revision 183)
+++ src/getopt.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: getopt.c 786 2006-08-27 08:48:04Z michael $
+ *  $Id$
+ *  $Hybrid: getopt.c 786 2006-08-27 08:48:04Z michael $
  */
 
 #include "stdinc.h"

Index: src/snprintf.c
===================================================================
--- src/snprintf.c	(.../1.0.1)	(revision 183)
+++ src/snprintf.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: snprintf.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: snprintf.c 33 2005-10-02 20:50:00Z knight $
  */
 
 /**************************************************************

Index: src/packet.c
===================================================================
--- src/packet.c	(.../1.0.1)	(revision 183)
+++ src/packet.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: packet.c 428 2006-02-11 12:21:51Z michael $
+ *  $Id$
+ *  $Hybrid: packet.c 428 2006-02-11 12:21:51Z michael $
  */
 #include "stdinc.h"
 #include "tools.h"

Index: src/s_conf.c
===================================================================
--- src/s_conf.c	(.../1.0.1)	(revision 183)
+++ src/s_conf.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_conf.c 855 2007-02-26 22:06:45Z db $
+ *  $Id$
+ *  $Hybrid: s_conf.c 855 2007-02-26 22:06:45Z db $
  */
 
 #include "stdinc.h"

Index: src/s_bsd_kqueue.c
===================================================================
--- src/s_bsd_kqueue.c	(.../1.0.1)	(revision 183)
+++ src/s_bsd_kqueue.c	(.../1.0.2)	(revision 183)
@@ -20,7 +20,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd_kqueue.c 842 2007-02-09 21:27:48Z adx $
+ *  $Id$
+ *  $Hybrid: s_bsd_kqueue.c 842 2007-02-09 21:27:48Z adx $
  */
 
 #include "stdinc.h"

Index: src/inet_misc.c
===================================================================
--- src/inet_misc.c	(.../1.0.1)	(revision 183)
+++ src/inet_misc.c	(.../1.0.2)	(revision 183)
@@ -1,5 +1,6 @@
 /* inet_misc.c - inet_pton and inet_ntop for those who don't have it.
- * $Id: inet_misc.c 33 2005-10-02 20:50:00Z knight $
+ * $Id$
+ * $Hybrid: inet_misc.c 33 2005-10-02 20:50:00Z knight $
  *
  * Copyright (c) 1983, 1990, 1993
  *		The Regents of the University of California.  All rights reserved.

Index: src/channel_mode.c
===================================================================
--- src/channel_mode.c	(.../1.0.1)	(revision 183)
+++ src/channel_mode.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel_mode.c 760 2006-08-18 19:33:26Z michael $
+ *  $Id$
+ *  $Hybrid: channel_mode.c 760 2006-08-18 19:33:26Z michael $
  */
 
 #include "stdinc.h"

Index: src/client.c
===================================================================
--- src/client.c	(.../1.0.1)	(revision 183)
+++ src/client.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: client.c 853 2007-02-22 06:01:30Z db $
+ *  $Id$
+ *  $Hybrid: client.c 853 2007-02-22 06:01:30Z db $
  */
 
 #include "stdinc.h"

Index: src/dbuf.c
===================================================================
--- src/dbuf.c	(.../1.0.1)	(revision 183)
+++ src/dbuf.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: dbuf.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: dbuf.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/s_bsd_poll.c
===================================================================
--- src/s_bsd_poll.c	(.../1.0.1)	(revision 183)
+++ src/s_bsd_poll.c	(.../1.0.2)	(revision 183)
@@ -20,7 +20,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd_poll.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_bsd_poll.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/csvlib.c
===================================================================
--- src/csvlib.c	(.../1.0.1)	(revision 183)
+++ src/csvlib.c	(.../1.0.2)	(revision 183)
@@ -6,7 +6,8 @@
  *  Use it anywhere you like, if you like it buy us a beer.
  *  If it's broken, don't bother us with the lawyers.
  *
- *  $Id: csvlib.c 521 2006-03-11 21:37:16Z db $
+ *  $Id$
+ *  $Hybrid: csvlib.c 521 2006-03-11 21:37:16Z db $
  */
 
 #include "stdinc.h"

Index: src/ircd_parser.y
===================================================================
--- src/ircd_parser.y	(.../1.0.1)	(revision 183)
+++ src/ircd_parser.y	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_parser.y 853 2007-02-22 06:01:30Z db $
+ *  $Id$
+ *  $Hybrid: ircd_parser.y 853 2007-02-22 06:01:30Z db $
  */
 
 %{
@@ -1291,6 +1292,10 @@
 {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_LOCOPS;
+} | T_SNOOP
+{
+  if (ypass == 2)
+    yy_aconf->modes |= UMODE_SNOOP;
 };
 
 oper_global_kill: GLOBAL_KILL '=' TBOOL ';'
@@ -3724,6 +3729,9 @@
 } | T_LOCOPS
 {
   ConfigFileEntry.oper_only_umodes |= UMODE_LOCOPS;
+} | T_SNOOP
+{
+  ConfigFileEntry.oper_only_umodes |= UMODE_SNOOP;
 };
 
 general_min_nonwildcard: MIN_NONWILDCARD '=' NUMBER ';'

Index: src/s_auth.c
===================================================================
--- src/s_auth.c	(.../1.0.1)	(revision 183)
+++ src/s_auth.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_auth.c 696 2006-06-21 07:52:16Z michael $
+ *  $Id$
+ *  $Hybrid: s_auth.c 696 2006-06-21 07:52:16Z michael $
  */
 
 /*

Index: src/listener.c
===================================================================
--- src/listener.c	(.../1.0.1)	(revision 183)
+++ src/listener.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: listener.c 563 2006-04-23 09:07:41Z michael $
+ *  $Id$
+ *  $Hybrid: listener.c 563 2006-04-23 09:07:41Z michael $
  */
 
 #include "stdinc.h"

Index: src/ircd_lexer.l
===================================================================
--- src/ircd_lexer.l	(.../1.0.1)	(revision 183)
+++ src/ircd_lexer.l	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_lexer.l 849 2007-02-19 19:41:59Z db $
+ *  $Id$
+ *  $Hybrid: ircd_lexer.l 849 2007-02-19 19:41:59Z db $
  */
 
 %option case-insensitive

Index: src/hostmask.c
===================================================================
--- src/hostmask.c	(.../1.0.1)	(revision 183)
+++ src/hostmask.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hostmask.c 723 2006-07-16 19:41:33Z adx $
+ *  $Id$
+ *  $Hybrid: hostmask.c 723 2006-07-16 19:41:33Z adx $
  */
 
 #include "stdinc.h"

Index: src/messages.tab
===================================================================
--- src/messages.tab	(.../1.0.1)	(revision 183)
+++ src/messages.tab	(.../1.0.2)	(revision 183)
@@ -16,7 +16,8 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: messages.tab 808 2006-09-03 18:58:00Z michael $
+ *   $Id$
+ *   $Hybrid: messages.tab 808 2006-09-03 18:58:00Z michael $
  */
 
 static struct NumericInfo replies[] = {

Index: src/match.c
===================================================================
--- src/match.c	(.../1.0.1)	(revision 183)
+++ src/match.c	(.../1.0.2)	(revision 183)
@@ -16,7 +16,8 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: match.c 637 2006-06-01 14:00:50Z adx $
+ * $Id$
+ * $Hybrid: match.c 637 2006-06-01 14:00:50Z adx $
  *
  */
 

Index: src/hook.c
===================================================================
--- src/hook.c	(.../1.0.1)	(revision 183)
+++ src/hook.c	(.../1.0.2)	(revision 183)
@@ -20,7 +20,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.c 713 2006-07-12 12:37:35Z michael $
+ *  $Id$
+ *  $Hybrid: hook.c 713 2006-07-12 12:37:35Z michael $
  */
 
 #include "stdinc.h"

Index: src/s_serv.c
===================================================================
--- src/s_serv.c	(.../1.0.1)	(revision 183)
+++ src/s_serv.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_serv.c 391 2006-02-03 09:57:22Z michael $
+ *  $Id$
+ *  $Hybrid: s_serv.c 391 2006-02-03 09:57:22Z michael $
  */
 
 #include "stdinc.h"

Index: src/s_log.c
===================================================================
--- src/s_log.c	(.../1.0.1)	(revision 183)
+++ src/s_log.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_log.c 582 2006-05-02 20:47:11Z michael $
+ *  $Id$
+ *  $Hybrid: s_log.c 582 2006-05-02 20:47:11Z michael $
  */
 
 #include "stdinc.h"

Index: src/fileio.c
===================================================================
--- src/fileio.c	(.../1.0.1)	(revision 183)
+++ src/fileio.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: fileio.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/parse.c
===================================================================
--- src/parse.c	(.../1.0.1)	(revision 183)
+++ src/parse.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: parse.c 753 2006-07-26 15:58:16Z adx $
+ *  $Id$
+ *  $Hybrid: parse.c 753 2006-07-26 15:58:16Z adx $
  */
 
 #include "stdinc.h"

Index: src/irc_reslib.c
===================================================================
--- src/irc_reslib.c	(.../1.0.1)	(revision 183)
+++ src/irc_reslib.c	(.../1.0.2)	(revision 183)
@@ -92,7 +92,8 @@
 #define DNS_LABELTYPE_BITSTRING 0x41
 #define MAXLINE 128
 
-/* $Id: irc_reslib.c 708 2006-07-07 08:56:45Z michael $ */
+/* $Id$ */
+/* $Hybrid: irc_reslib.c 708 2006-07-07 08:56:45Z michael $ */
 
 struct irc_ssaddr irc_nsaddr_list[IRCD_MAXNS];
 int irc_nscount = 0;

Index: src/ircd_signal.c
===================================================================
--- src/ircd_signal.c	(.../1.0.1)	(revision 183)
+++ src/ircd_signal.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_signal.c 598 2006-05-13 09:08:47Z michael $
+ *  $Id$
+ *  $Hybrid: ircd_signal.c 598 2006-05-13 09:08:47Z michael $
  */
 
 #include "stdinc.h"

Index: src/resv.c
===================================================================
--- src/resv.c	(.../1.0.1)	(revision 183)
+++ src/resv.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: resv.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: resv.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/s_stats.c
===================================================================
--- src/s_stats.c	(.../1.0.1)	(revision 183)
+++ src/s_stats.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_stats.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_stats.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/sprintf_irc.c
===================================================================
--- src/sprintf_irc.c	(.../1.0.1)	(revision 183)
+++ src/sprintf_irc.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: sprintf_irc.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: sprintf_irc.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/irc_getaddrinfo.c
===================================================================
--- src/irc_getaddrinfo.c	(.../1.0.1)	(revision 183)
+++ src/irc_getaddrinfo.c	(.../1.0.2)	(revision 183)
@@ -33,7 +33,8 @@
 #include "irc_getaddrinfo.h"
 #include "ircd_defs.h"
 
-/*  $Id: irc_getaddrinfo.c 33 2005-10-02 20:50:00Z knight $ */
+/*  $Id$ */
+/*  $Hybrid: irc_getaddrinfo.c 33 2005-10-02 20:50:00Z knight $ */
 
 static const char in_addrany[]  = { 0, 0, 0, 0 };
 static const char in_loopback[] = { 127, 0, 0, 1 };

Index: src/s_bsd_sigio.c
===================================================================
--- src/s_bsd_sigio.c	(.../1.0.1)	(revision 183)
+++ src/s_bsd_sigio.c	(.../1.0.2)	(revision 183)
@@ -21,7 +21,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd_sigio.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_bsd_sigio.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef _GNU_SOURCE

Index: src/rsa.c
===================================================================
--- src/rsa.c	(.../1.0.1)	(revision 183)
+++ src/rsa.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: rsa.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: rsa.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: help/users/index
===================================================================
--- help/users/index	(.../1.0.1)	(revision 183)
+++ help/users/index	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: index 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: index 33 2005-10-02 20:50:00Z knight $
 Help topics available to users:
 
 ACCEPT          ADMIN           AWAY            CHALLENGE

Index: help/users/umode
===================================================================
--- help/users/umode	(.../1.0.1)	(revision 183)
+++ help/users/umode	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: umode 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: umode 33 2005-10-02 20:50:00Z knight $
 MODE <nick> <+|-><modes>
 
 Usermodes:

Index: help/opers/unxline
===================================================================
--- help/opers/unxline	(.../1.0.1)	(revision 183)
+++ help/opers/unxline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: unxline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: unxline 33 2005-10-02 20:50:00Z knight $
 UNXLINE <gecos>
 
 Removes an XLINE 

Index: help/opers/testmask
===================================================================
--- help/opers/testmask	(.../1.0.1)	(revision 183)
+++ help/opers/testmask	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: testmask 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: testmask 33 2005-10-02 20:50:00Z knight $
 TESTMASK <user@host>
 
 Will test the given user@host mask, reporting how many local and

Index: help/opers/dline
===================================================================
--- help/opers/dline	(.../1.0.1)	(revision 183)
+++ help/opers/dline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: dline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: dline 33 2005-10-02 20:50:00Z knight $
 DLINE <time> <nick|ip> :[reason] [| oper reason]
 
 <time> if present, gives number of minutes for DLINE

Index: help/opers/kline
===================================================================
--- help/opers/kline	(.../1.0.1)	(revision 183)
+++ help/opers/kline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: kline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: kline 33 2005-10-02 20:50:00Z knight $
 KLINE [time] <nick|user@host> :[reason] [| oper reason]
 
 [time] if present, gives number of minutes for KLINE

Index: help/opers/xline
===================================================================
--- help/opers/xline	(.../1.0.1)	(revision 183)
+++ help/opers/xline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: xline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: xline 33 2005-10-02 20:50:00Z knight $
 XLINE [time] <gecos> :[reason]
 
 [time] if present, gives number of minutes for XLINE

Index: help/opers/unresv
===================================================================
--- help/opers/unresv	(.../1.0.1)	(revision 183)
+++ help/opers/unresv	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: unresv 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: unresv 33 2005-10-02 20:50:00Z knight $
 UNRESV <channel|nick>
 
 -- Remove a RESV on a channel or nick

Index: help/opers/cmode
===================================================================
--- help/opers/cmode	(.../1.0.1)	(revision 183)
+++ help/opers/cmode	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: cmode 341 2005-12-27 13:43:46Z michael $
+# $Id$
+# $Hybrid: cmode 341 2005-12-27 13:43:46Z michael $
 MODE <channel> <+|-><modes> [parameters]
 
 =-=-=-=-=-=-=-=-=-=-=

Index: help/opers/set
===================================================================
--- help/opers/set	(.../1.0.1)	(revision 183)
+++ help/opers/set	(.../1.0.2)	(revision 183)
@@ -38,4 +38,5 @@
   SPLITUSERS  - Sets the minimum amount of users needed to
                 deactivate automatic splitmode.
 
-# $Id: set 416 2006-02-10 09:50:59Z michael $
+# $Id$
+# $Hybrid: set 416 2006-02-10 09:50:59Z michael $

Index: help/opers/umode
===================================================================
--- help/opers/umode	(.../1.0.1)	(revision 183)
+++ help/opers/umode	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: umode 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: umode 33 2005-10-02 20:50:00Z knight $
 MODE <nick> <+|-><modes>
 
 Usermodes: (* designates that the umode is oper only)

Index: help/opers/omotd
===================================================================
--- help/opers/omotd	(.../1.0.1)	(revision 183)
+++ help/opers/omotd	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: omotd 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: omotd 33 2005-10-02 20:50:00Z knight $
 OMOTD [servername]
 
 OMOTD will display the operator message of the day for the

Index: help/opers/rkline
===================================================================
--- help/opers/rkline	(.../1.0.1)	(revision 183)
+++ help/opers/rkline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: rkline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: rkline 33 2005-10-02 20:50:00Z knight $
 RKLINE [time] <mask> [ON <server>] :[reason]
 
 [time] if present, gives number of minutes for temporary RXLINE

Index: help/opers/info
===================================================================
--- help/opers/info	(.../1.0.1)	(revision 183)
+++ help/opers/info	(.../1.0.2)	(revision 183)
@@ -4,4 +4,5 @@
 to ircd, and the server configuration (as defined in setup.h,
 defaults.h, and ircd.conf).
 
-# $Id: info 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: info 33 2005-10-02 20:50:00Z knight $

Index: help/opers/join
===================================================================
--- help/opers/join	(.../1.0.1)	(revision 183)
+++ help/opers/join	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: join 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: join 33 2005-10-02 20:50:00Z knight $
 JOIN <#channel1[,#channel2,#channel3...]> [key]
 
 The JOIN command allows you to enter a public chat area known as

Index: help/opers/rxline
===================================================================
--- help/opers/rxline	(.../1.0.1)	(revision 183)
+++ help/opers/rxline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: rxline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: rxline 33 2005-10-02 20:50:00Z knight $
 RXLINE [time] <mask> [ON <server>] :[reason]
 
 [time] if present, gives number of minutes for temporary RXLINE

Index: help/opers/motd
===================================================================
--- help/opers/motd	(.../1.0.1)	(revision 183)
+++ help/opers/motd	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: motd 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: motd 33 2005-10-02 20:50:00Z knight $
 MOTD [servername]
 
 MOTD will display the message of the day for the

Index: help/opers/version
===================================================================
--- help/opers/version	(.../1.0.1)	(revision 183)
+++ help/opers/version	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: version 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: version 33 2005-10-02 20:50:00Z knight $
 VERSION [servername]
 
 VERSION will display the server version of the specified

Index: help/opers/stats
===================================================================
--- help/opers/stats	(.../1.0.1)	(revision 183)
+++ help/opers/stats	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: stats 66 2005-10-03 23:44:13Z adx $
+# $Id$
+# $Hybrid: stats 66 2005-10-03 23:44:13Z adx $
 STATS <letter> [server|nick]
 
 Queries server [server] (or your own server if no

Index: help/opers/undline
===================================================================
--- help/opers/undline	(.../1.0.1)	(revision 183)
+++ help/opers/undline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: undline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: undline 33 2005-10-02 20:50:00Z knight $
 UNDLINE <ip>
 
 Will attempt to undline the given <ip>

Index: help/opers/ungline
===================================================================
--- help/opers/ungline	(.../1.0.1)	(revision 183)
+++ help/opers/ungline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: ungline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: ungline 33 2005-10-02 20:50:00Z knight $
 UNGLINE <user@host>
 
 -- if glines are enabled --

Index: help/opers/squit
===================================================================
--- help/opers/squit	(.../1.0.1)	(revision 183)
+++ help/opers/squit	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: squit 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: squit 33 2005-10-02 20:50:00Z knight $
 SQUIT <server> :[reason]
 
 Splits <server> away from your side of the net with [reason].

Index: help/opers/unkline
===================================================================
--- help/opers/unkline	(.../1.0.1)	(revision 183)
+++ help/opers/unkline	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: unkline 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: unkline 33 2005-10-02 20:50:00Z knight $
 UNKLINE <user@host>
 
 Will attempt to unkline the given <user@host>

Index: help/opers/index
===================================================================
--- help/opers/index	(.../1.0.1)	(revision 183)
+++ help/opers/index	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: index 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: index 33 2005-10-02 20:50:00Z knight $
 Help topics available to opers only:
 
 CAPAB           CBURST          CLIENT          CLOSE

Index: RELNOTES
===================================================================
--- RELNOTES	(.../1.0.1)	(revision 183)
+++ RELNOTES	(.../1.0.2)	(revision 183)
@@ -1,3 +1,27 @@
+-- esphyb 1.0.2 RELNOTES
+o) Fixed bug where nick changes would be allowed in spite of channel bans
+o) Fixed KILLEN=160
+o) Fixed an issue with KLINE's not matching unidented users
+o) Fixed oper snoop to be a user mode (+p) so remote servers honor it
+o) Fixed captured users to be a user mode (+S) so remote servers can see the state in /WHOIS
+
+-- esphyb 1.0.1 RELNOTES
+o) Fixed MODES=6
+o) Added channel mode +C to disallow all colors, fixed channel mode +c to allow bold and underline
+o) Fixed snoop fixture for TOPIC
+o) Add RPL_WHOISCAPTURED
+o) Fixed m_webirc to match webirc {} blocks on IP or hostname
+
+-- esphyb 1.0.0 RELNOTES
+o) Added colorless channels (+c), oper-only channels (+O), and identified-user channels (+r/+R)
+o) Added help_channel and the hooks to allow /CAPTURE'd users to speak to operators and in that channel
+o) Aliased /HURT and /HEAL to /CAPTURE and /UNCAPTURE
+o) Added SVSMODE and SVSNICK
+o) Added WEBIRC support
+o) Added OJOIN and OPME
+o) Added configuration-driven services aliaces (/NickServ)
+o) Added oper snoop
+
 -- ircd-hybrid-7.2.3 RELNOTES
 o) Added ircd-italian.lang language file
 o) Added -full to etrace
@@ -130,4 +154,5 @@
 Other files recommended for reading: BUGS, README.FIRST, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: RELNOTES 858 2007-02-28 04:15:47Z lusky $
+$Id$
+$Hybrid: RELNOTES 858 2007-02-28 04:15:47Z lusky $

Index: servlink/control.c
===================================================================
--- servlink/control.c	(.../1.0.1)	(revision 183)
+++ servlink/control.c	(.../1.0.2)	(revision 183)
@@ -15,7 +15,8 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: control.c 33 2005-10-02 20:50:00Z knight $
+ *   $Id$
+ *   $Hybrid: control.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: servlink/servlink.h
===================================================================
--- servlink/servlink.h	(.../1.0.1)	(revision 183)
+++ servlink/servlink.h	(.../1.0.2)	(revision 183)
@@ -15,7 +15,8 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: servlink.h 33 2005-10-02 20:50:00Z knight $
+ *   $Id$
+ *   $Hybrid: servlink.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_servlink_servlink_h

Index: servlink/TODO
===================================================================
--- servlink/TODO	(.../1.0.1)	(revision 183)
+++ servlink/TODO	(.../1.0.2)	(revision 183)
@@ -1,5 +1,6 @@
 Servlink todo list
-$Id: TODO 33 2005-10-02 20:50:00Z knight $
+$Id$
+$Hybrid: TODO 33 2005-10-02 20:50:00Z knight $
 ------------------
 
 Fix any bugs that come up

Index: servlink/control.h
===================================================================
--- servlink/control.h	(.../1.0.1)	(revision 183)
+++ servlink/control.h	(.../1.0.2)	(revision 183)
@@ -15,7 +15,8 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: control.h 33 2005-10-02 20:50:00Z knight $
+ *   $Id$
+ *   $Hybrid: control.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_servlink_control_h

Index: servlink/io.c
===================================================================
--- servlink/io.c	(.../1.0.1)	(revision 183)
+++ servlink/io.c	(.../1.0.2)	(revision 183)
@@ -15,7 +15,8 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: io.c 33 2005-10-02 20:50:00Z knight $
+ *   $Id$
+ *   $Hybrid: io.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

